For the complete documentation index, see llms.txt. This page is also available as Markdown.

UAE Drivers License Verification

The UAE Driver's License Verification API allows users to verify the validity and details of a driver's license issued in the United Arab Emirates.

Submit Document

uae_driving_license

POST https://secctrl.tutelar.io/api/v1/kyc/identity/uae_driving_license

Post parameters description is given below,

Post Parameter
Type
Is Mandatory
Description

id_number

String

Yes

Drivers license id number

issue_date

String

Yes

Issued date

traffic_code_no

String

Yes

Traffic code number

birth_year

String

Yes

date of year

Sample Post Parameters

{
    "id_number": "1503952",
    "issue_date": "2009-10-20",
    "traffic_code_no": "11767743",
    "birth_year": "2000"
}
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "9e5ece72-ce5c-4690-a393-193b026f3b46",
    "status": "completed",
    "result": {
        "idNumber": "1503952",
        "issueDate": "2009-10-20",
        "trafficCodeNo": "11767743",
        "birthYear": "2000",
        "fullName": "BALAGURU THANGADURAI",
        "blackPoints": "0",
        "licenseType": "Permanent",
        "licenseStatus": "",
        "dob": "1983-04-24",
        "expiryDate": "",
        "vehicleClass": [
            {
                "vehicleType": "Heavy Bus",
                "validTill": ""
            },
            {
                "vehicleType": "Light Bus",
                "validTill": ""
            }
        ],
        "eyeTestResults": {
            "testCenter": "Optech Klekshnz",
            "rightEyeResult": "6/6",
            "leftEyeResult": "6/6",
            "colorBlindness": "Fit",
            "testDate": "2019-06-09",
            "testExpiryDate": "2022-06-09"
        }
    },
    "requested_at": "2026-01-27T11:32:41.031Z",
    "completed_at": "2026-01-27T11:32:43.000Z"
}

Check Document Status

Get document details

GET https://secctrl.tutelar.io/api/v1/kyc/identity/uae_driving_license

Query parameters description is given below,

Query Parameter
Type
Is Mandatory
Description

reference_id

String

Yes

Document reference id

Last updated